Package org.jcsp.net.settings

# Class Plugins

java.lang.Object
org.jcsp.net.settings.Plugins

public class Plugins extends Object
Used internally within the JCSP network infrastructure to represent a set of plug-ins.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Plugins()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPlugin(Plugin p)`
`Plugin`
`getPlugin(String pluginName)`
`Plugin[]`
`getPlugins()`
`void`
`removePlugin(Plugin p)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Plugins

public Plugins()

## Method Details

### addPlugin

public void addPlugin(Plugin p)

### removePlugin

public void removePlugin(Plugin p)

### getPlugin

public Plugin getPlugin(String pluginName)

### getPlugins

public Plugin[] getPlugins()

### toString

public String toString()

Overrides:
  `toString` in class `Object`